extends Resource

class_name Description

export var name : String
export var subtitle : String
export var portrait : Texture
export var traits: Array

func getTraitString() -> String:
	var result = ""
	for trait in traits:
		result += "- "
		result += trait.string
		result += "\n"
	return result

func checkTraits(trait_owner) -> bool:
	for u_trait in traits:
		var trait : Trait = u_trait
		if trait.validate(trait_owner) == false:
			return false
	return true
